Debian Bug report logs - #652075
ITP: ruby-build -- tool to compile and install different versions of Ruby

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Sebastian Boehm <sebastian@sometimesfood.org>

Date: Wed, 14 Dec 2011 16:09:01 UTC

Owned by: Sebastian Boehm <sebastian@sometimesfood.org>

Severity: wishlist

Fixed in version ruby-build/20111230-1

Done: Sebastian Boehm <sebastian@sometimesfood.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#652075; Package wnpp. (Wed, 14 Dec 2011 16:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Boehm <sebastian@sometimesfood.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 14 Dec 2011 16:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sebastian Boehm <sebastian@sometimesfood.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ruby-build -- tool to compile and install different versions of Ruby
Date: Wed, 14 Dec 2011 16:53:40 +0100
Package: wnpp
Severity: wishlist
Owner: Sebastian Boehm <sebastian@sometimesfood.org>


I just joined the pkg-ruby-extras team and would like to add a package
for ruby-build, a small tool to compile and install different versions
of Ruby that works great with rbenv.

* Package name    : ruby-build
  Version         : 20111030
  Upstream Author : Sam Stephenson <sam@37signals.com>
* URL             : https://github.com/sstephenson/ruby-build
* License         : Expat
  Programming Lang: Bash
  Description     : tool to compile and install different versions of Ruby

ruby-build provides a simple way to compile and install different
versions of Ruby.

Combined with rbenv, ruby-build lets you easily install and switch
between different implementations of Ruby, such as MRI, JRuby, REE and
others.




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 26 Jan 2012 07:06:06 GMT) Full text and rfc822 format available.

Reply sent to Sebastian Boehm <sebastian@sometimesfood.org>:
You have taken responsibility. (Thu, 26 Jan 2012 12:22:34 GMT) Full text and rfc822 format available.

Notification sent to Sebastian Boehm <sebastian@sometimesfood.org>:
Bug acknowledged by developer. (Thu, 26 Jan 2012 12:22:53 GMT) Full text and rfc822 format available.

Message #12 received at 652075-close@bugs.debian.org (full text, mbox):

From: Sebastian Boehm <sebastian@sometimesfood.org>
To: 652075-close@bugs.debian.org
Subject: Bug#652075: fixed in ruby-build 20111230-1
Date: Thu, 26 Jan 2012 12:18:24 +0000
Source: ruby-build
Source-Version: 20111230-1

We believe that the bug you reported is fixed in the latest version of
ruby-build, which is due to be installed in the Debian FTP archive:

ruby-build_20111230-1.debian.tar.gz
  to main/r/ruby-build/ruby-build_20111230-1.debian.tar.gz
ruby-build_20111230-1.dsc
  to main/r/ruby-build/ruby-build_20111230-1.dsc
ruby-build_20111230-1_all.deb
  to main/r/ruby-build/ruby-build_20111230-1_all.deb
ruby-build_20111230.orig.tar.gz
  to main/r/ruby-build/ruby-build_20111230.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 652075@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sebastian Boehm <sebastian@sometimesfood.org> (supplier of updated ruby-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 07 Jan 2012 17:55:27 +0100
Source: ruby-build
Binary: ruby-build
Architecture: source all
Version: 20111230-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Sebastian Boehm <sebastian@sometimesfood.org>
Description: 
 ruby-build - tool to compile and install different versions of Ruby
Closes: 652075
Changes: 
 ruby-build (20111230-1) unstable; urgency=low
 .
   * New upstream release
   * Adapt ruby-build package for inclusion in Debian (Closes: #652075)
     * Update Vcs-* fields to point to git.debian.org
     * Remove debian/gbp.conf
     * Fix debian/copyright syntax
     * Remove git specific rules from debian/rules
     * Add manpage
     * Add notes on homebuilt rubies to debian/control and README.Debian
     * Change maintainer to pkg-ruby-extras
     * Move rbenv-install to rbenv libexec dir to avoid cluttering $PATH
Checksums-Sha1: 
 7d75f6eb1b91f354bdd382f43a4c6620397b6cc0 1375 ruby-build_20111230-1.dsc
 66447e6a5b055c58153ec65304fcf2d1adebacee 6634 ruby-build_20111230.orig.tar.gz
 bfd900b0b8942c871c21735f80ca0f244823f09e 4054 ruby-build_20111230-1.debian.tar.gz
 9e06909b6111ba7668a4d39d2286de6ad62092ac 11896 ruby-build_20111230-1_all.deb
Checksums-Sha256: 
 f1a5d655562efd34f409ed529cb06303adeb4fa9a633921a80268bddc3f6512a 1375 ruby-build_20111230-1.dsc
 f105a1ecad197eef1151bd628fe892a1c81d18745862b7ba5a98ecad49453fff 6634 ruby-build_20111230.orig.tar.gz
 b2d3552b965f622895586070f3cb0580de49b5095f508b207ff04d0cc6070927 4054 ruby-build_20111230-1.debian.tar.gz
 cb89503360ce3a543998f80e99e8a41186270c784103d49194567087d0bd418f 11896 ruby-build_20111230-1_all.deb
Files: 
 151396443c193f7874c8cb67fb31a8b0 1375 ruby optional ruby-build_20111230-1.dsc
 82241efbee5836419446c0ab78596b3a 6634 ruby optional ruby-build_20111230.orig.tar.gz
 6c40bcfa797e1705142d40f1593288fc 4054 ruby optional ruby-build_20111230-1.debian.tar.gz
 e7880fee6d8d221fd061128f207c6d9e 11896 ruby optional ruby-build_20111230-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk8ghm0ACgkQDOM8kQ+cso/kvwCgk5R8pKChHGpV0VW8UKY0x4gF
+1wAn0Z4c8UCwFOlUo2Pt801iDh2eSXZ
=/mY7
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 24 Feb 2012 07:38:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:21:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.